Resource

Metric Type

List of all the metrics ingested with OpenTelemetry

The Metric Type Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    services
    Type
    Service
    Description

    List of services this metric is related to

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Very Long Text
    Description

    Metric description

  • Name
    unit
    Type
    Very Long Text
    Description

    Metric description

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/metric-type/get-list

List

This endpoint allows you to retrieve a paginated list of all your Metric Type. By default, a maximum of ten Metric Type are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/metric-type/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "_id": true,
    "createdAt": true,
    "createdByUser": true
  },
  "query": {
    "name": "Example name"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377429c0-28fe-11f1-b591-3fdcef396aba",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    },
    {
      "_id": "377429c1-28fe-11f1-b591-3fdcef396aba",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    },
    {
      "_id": "377429c2-28fe-11f1-b591-3fdcef396aba",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    }
  ]
}
GETorPOST/api/metric-type/:id/get-item

Get item by ID

This endpoint allows you to retrieve Metric Type by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/metric-type/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "_id": true,
    "createdAt": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "createdByUser": "Example created by user"
}
POST/api/metric-type/count

Count

This endpoint allows you to retrieve the count of all your Metric Type.

Optional Request Body

Count Request

POST
/api/metric-type/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Example name"
  }
}

Response

{
  "count": 107
}
POST/api/metric-type

Create Metric Type

This endpoint allows you to create a new object.

Create Request

POST
/api/metric-type
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Example name",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000",
    "description": "Example description"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "createdByUser": "Example created by user"
}
PUT/api/metric-type/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/metric-type/:id/update-item
GET/api/metric-type/:id/update-item

Update Request

PUT
/api/metric-type/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Example name",
    "description": "Example description",
    "services": []
  }
}

Response

{}
DELETE/api/metric-type/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/metric-type/:id/delete-item
GET/api/metric-type/:id/delete-item

Delete Request

DELETE
/api/metric-type/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Metric Type

  • Project Owner
  • Project Admin
  • Project Member
  • Read Telemetry Service Metrics
  • Read All Project Resources

Create Permissions

Required to create Metric Type

  • Project Owner
  • Project Admin
  • Project Member
  • Create Telemetry Service Metrics

Update Permissions

Required to update Metric Type

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Telemetry Service Metrics

Delete Permissions

Required to delete Metric Type

  • Project Owner
  • Project Admin
  • Delete Telemetry Service Metrics